任务单 #30337

SF.net プロジェクト sfnet_jedit 概要に表示されるダウンロードリンクについて

开放日期: 2012-12-20 09:06 最后更新: 2012-12-22 22:07

报告人:
属主:
类型:
状态:
关闭
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:

Details

sourceforge.net から情報を取得して表示されていると思われる jEdit (sfnet_jedit) の概要ページで、最新インストーラのダウンロードリンクが正しく表示されていないようです。各プラットフォーム用の最新インストーラへのリンクをわかりやすく表示するにはどうすればよいでしょうか?

同じような関係と思われるサクラエディタ (sfnet_sakura-editor) の概要ページには sourceforge.net 側での設定に基づいていると思われる各プラットフォーム用の最新インストーラが大きく表示されています。(サクラエディタは Windows 専用ソフトなのでちょっとおかしい感じではありますが。)

例えば現時点(最新リリースが 5.0.0 の時点)で sourceforge.net 側 jEdit での各プラットフォーム用の最新リリースファイルは正しく選択されていて、 Summary ページには正しく最新インストーラのダウンロードリンクが表示されます。

任务单历史 (3/8 Histories)

2012-12-20 09:06 Updated by: k_satoda
  • New Ticket "SF.net プロジェクト sfnet_jedit 概要に表示されるダウンロードリンクについて" created
2012-12-20 14:11 Updated by: ishikawa
  • 属主 Update from (无) to ishikawa
  • 处理结果 Update from to Accepted
  • 类型 Update from Support Request to Bugs
评论

sf.net 側のファイルリリースで ディフォルトダウンロードをセットすれば表示されるはずなのですが、 こちら側でのデータの取り込み処理の一部に問題があって、特定条件が発生すると そのディフォルトダウンロード 設定のデータが反映されない場合があるバグがあることがわかりました。

修正しますので少々お待ちください....

2012-12-20 15:49 Updated by: ishikawa
  • 处理结果 Update from Accepted to Fixed
评论

バグの方修正しました。

jEdit のデータは手動で更新かけましたので 正しくなっていると思います ご確認ください。

2012-12-20 15:54 Updated by: ishikawa
评论

k_satoda への返信

同じような関係と思われるサクラエディタ (sfnet_sakura-editor) の概要ページには sourceforge.net 側での設定に基づいていると思われる各プラットフォーム用の最新インストーラが大きく表示されています。(サクラエディタは Windows 専用ソフトなのでちょっとおかしい感じではありますが。)

ちなみにですが サクラエディタに関しては sf.net にセットされている元の指定がおかしい(全てのOSに対して windows のインストーラファイルがセットされている)ためです。こちらに関してはsf.jp側のバグではありません。

https://sourceforge.net/projects/sakura-editor/files/sakura2-installer/2.0.5.0/

こちらに表示される 右の方にある 丸の中に i が出ているアイコンをクリックして Default Download For となっているところに全てのOSのアイコンが表示されているのが確認できると思います。

2012-12-21 00:54 Updated by: k_satoda
评论

素早い対応ありがとうございます。各プラットフォーム用の最新インストーラへのリンクが表示されていることが確認できました。(また、サクラエディタの件、元の指定からおかしくて SF.jp 側の問題ではないことも確認できました。)

ただ、添えられているパッケージ名が "jedit-devel" となっている点が正しくないものと思います。 5.0.0 は開発版ではなく正式リリースですので、パッケージ名は "jedit" のほうになるはずです。今一度ご確認おねがいします。

2012-12-21 11:52 Updated by: ishikawa
评论

k_satoda への返信

ただ、添えられているパッケージ名が "jedit-devel" となっている点が正しくないものと思います。 5.0.0 は開発版ではなく正式リリースですので、パッケージ名は "jedit" のほうになるはずです。今一度ご確認おねがいします。

sf.net の ファイルマネージメントには以前はファイルに別名をつけておく(表示上はそっちになる)機能があったんですが それが(編集できるUIが)なくなっていて sf.net側にデータが残ってしまっているために これが表示されてしまっていますね...

2012-12-21 12:24 Updated by: ishikawa
评论

修正しました(現状正常に機能しない別名の表示はやめました)

なお

5.0.0 は開発版ではなく正式リリースですので、パッケージ名は "jedit" のほうになるはずです。今一度ご確認おねがいします。

これに類する情報はない(こういう構造であるという事を jedit 以外を含めて機械的に判定できる要素/素材/データはない)ので、 これを表示するのは不可能です。

2012-12-22 22:07 Updated by: k_satoda
  • Ticket Close date is changed to 2012-12-22 22:07
  • 状态 Update from 开启 to 关闭
评论

パッケージ名が表示されているものと思っていたのですが、そうじゃなかったんですね。

概要ページの各プラットフォーム用ダウンロードリンクに "jedit-devel" が表示されず、問題なくなっていることが確認できました。完了にします。ありがとうございました。

Attachment File List

No attachments

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名